#include<iostream>
using namespace std;
int main(){
	int n;
	cin >> n;
	if(n >= 90){
		cout << "优秀";
	}
	else if(n >= 75){
		cout << "良好"; 
	}
	else if(n >= 60){
		cout << "及格"; 
	}
	else{
		cout << "不及格";
	}
	
	
	return 0;
}
